Subject: [PATCH] arm64: kill flush_cache_all()

From: [email-masked] (Mark Rutland)
Date: Mon, 20 Apr 2015 20:22:44 +0100

> > Does that address your concerns? Or pose new questions? ;)
> >
> 
> Crystal clear. Lately I have been dealing with some dodgy Tianocore
> code that 'promoted' VA operations to set/way operations if the VA
> range exceeded a certain size threshold (and nuked the whole cache
> instead), so by now I am well aware of the differences. I was just
> vaguely under the impression that clearing the C bit could result in
> the caches to lose state, but apparently not.

To the best of my knowledge, that is not permitted.

> So that means the EFI stub entry code is sound, and I have no
> objections whatsoever to removing flush_cache_all() et al

Great! Can I consider that an Acked-by?

Thanks,
Mark.